Page MenuHomePhabricator

Trying to get property 'status' of non-object in /srv/mediawiki/w/extensions/Math/MathMathMLCli.php on line 79
Open, Stalled, Needs TriagePublic

Description

Hi, i am using mediawiki 1.31 and php7.2 and see this in the logs

Trying to get property 'status' of non-object in /srv/mediawiki/w/extensions/Math/MathMathMLCli.php on line 79

Event Timeline

I have this set https://github.com/miraheze/mw-config/blob/master/LocalWiki.php#L59 and this is my mathoid config https://github.com/miraheze/puppet/blob/master/modules/mathoid/files/config.yaml

I wonder if this is hit because of old math images? (before mathoids time)

Though not sure.

@Paladox sorry that it took such a long time to get back to this. Did you figure out more details in the meantime?

@Physikerwelt i haven't found much (didn't really look into it). From what i can tell is it's not handling errors correctly. This is from the logs:

2018-11-09 00:16:45 /w/index.php?title=Test&action=submit   ErrorException from line 67 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Undefined property: stdClass::$sanetex
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(67): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/EditPage.php(3963): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/EditPage.php(3891): EditPage->doPreviewParse(WikitextContent)
#11 /srv/mediawiki/w/includes/EditPage.php(2674): EditPage->getPreviewText()
#12 /srv/mediawiki/w/includes/EditPage.php(674): EditPage->showEditForm()
#13 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#14 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#15 /srv/mediawiki/w/includes/MediaWiki.php(500): SubmitAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#17 /srv/mediawiki/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#18 /srv/mediawiki/w/includes/MediaWiki.php(524): MediaWiki->main()
#19 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#20 {main}

[09-Nov-2018 00:16:45 UTC] PHP Notice:  Undefined property: stdClass::$sanetex in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 67

2018-11-09 00:16:45 /w/index.php?title=Test&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Undefined property: stdClass::$png
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/EditPage.php(3963): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/EditPage.php(3891): EditPage->doPreviewParse(WikitextContent)
#11 /srv/mediawiki/w/includes/EditPage.php(2674): EditPage->getPreviewText()
#12 /srv/mediawiki/w/includes/EditPage.php(674): EditPage->showEditForm()
#13 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#14 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#15 /srv/mediawiki/w/includes/MediaWiki.php(500): SubmitAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#17 /srv/mediawiki/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#18 /srv/mediawiki/w/includes/MediaWiki.php(524): MediaWiki->main()
#19 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#20 {main}

[09-Nov-2018 00:16:45 UTC] PHP Notice:  Undefined property: stdClass::$png in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:16:45 /w/index.php?title=Test&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Trying to get property 'data' of non-object
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/EditPage.php(3963): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/EditPage.php(3891): EditPage->doPreviewParse(WikitextContent)
#11 /srv/mediawiki/w/includes/EditPage.php(2674): EditPage->getPreviewText()
#12 /srv/mediawiki/w/includes/EditPage.php(674): EditPage->showEditForm()
#13 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#14 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#15 /srv/mediawiki/w/includes/MediaWiki.php(500): SubmitAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#17 /srv/mediawiki/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#18 /srv/mediawiki/w/includes/MediaWiki.php(524): MediaWiki->main()
#19 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#20 {main}

[09-Nov-2018 00:16:45 UTC] PHP Notice:  Trying to get property 'data' of non-object in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:16:45 /w/index.php?title=Test&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: array_map(): Argument #2 should be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): array_map(string, NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/EditPage.php(3963): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/EditPage.php(3891): EditPage->doPreviewParse(WikitextContent)
#12 /srv/mediawiki/w/includes/EditPage.php(2674): EditPage->getPreviewText()
#13 /srv/mediawiki/w/includes/EditPage.php(674): EditPage->showEditForm()
#14 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#15 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(500): SubmitAction->show()
#17 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#18 /srv/mediawiki/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#19 /srv/mediawiki/w/includes/MediaWiki.php(524): MediaWiki->main()
#20 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#21 {main}

[09-Nov-2018 00:16:45 UTC] PHP Warning:  array_map(): Argument #2 should be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:16:45 /w/index.php?title=Test&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: implode(): Argument must be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): implode(NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/EditPage.php(3963): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/EditPage.php(3891): EditPage->doPreviewParse(WikitextContent)
#12 /srv/mediawiki/w/includes/EditPage.php(2674): EditPage->getPreviewText()
#13 /srv/mediawiki/w/includes/EditPage.php(674): EditPage->showEditForm()
#14 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#15 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(500): SubmitAction->show()
#17 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#18 /srv/mediawiki/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#19 /srv/mediawiki/w/includes/MediaWiki.php(524): MediaWiki->main()
#20 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#21 {main}

[09-Nov-2018 00:16:45 UTC] PHP Warning:  implode(): Argument must be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:17:51 /w/api.php   ErrorException from line 67 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Undefined property: stdClass::$sanetex
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(67): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/page/WikiPage.php(2129): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/api/ApiStashEdit.php(208): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#11 /srv/mediawiki/w/includes/api/ApiStashEdit.php(151): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#12 /srv/mediawiki/w/includes/api/ApiMain.php(1579): ApiStashEdit->execute()
#13 /srv/mediawiki/w/includes/api/ApiMain.php(535): ApiMain->executeAction()
#14 /srv/mediawiki/w/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#15 /srv/mediawiki/w/api.php(94): ApiMain->execute()
#16 {main}

[09-Nov-2018 00:17:51 UTC] PHP Notice:  Undefined property: stdClass::$sanetex in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 67

2018-11-09 00:17:51 /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Undefined property: stdClass::$png
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/page/WikiPage.php(2129): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/api/ApiStashEdit.php(208): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#11 /srv/mediawiki/w/includes/api/ApiStashEdit.php(151): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#12 /srv/mediawiki/w/includes/api/ApiMain.php(1579): ApiStashEdit->execute()
#13 /srv/mediawiki/w/includes/api/ApiMain.php(535): ApiMain->executeAction()
#14 /srv/mediawiki/w/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#15 /srv/mediawiki/w/api.php(94): ApiMain->execute()
#16 {main}

[09-Nov-2018 00:17:51 UTC] PHP Notice:  Undefined property: stdClass::$png in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:17:51 /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Trying to get property 'data' of non-object
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/page/WikiPage.php(2129): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/api/ApiStashEdit.php(208): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#11 /srv/mediawiki/w/includes/api/ApiStashEdit.php(151): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#12 /srv/mediawiki/w/includes/api/ApiMain.php(1579): ApiStashEdit->execute()
#13 /srv/mediawiki/w/includes/api/ApiMain.php(535): ApiMain->executeAction()
#14 /srv/mediawiki/w/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#15 /srv/mediawiki/w/api.php(94): ApiMain->execute()
#16 {main}

[09-Nov-2018 00:17:51 UTC] PHP Notice:  Trying to get property 'data' of non-object in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:17:51  /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: array_map(): Argument #2 should be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): array_map(string, NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/page/WikiPage.php(2129): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/api/ApiStashEdit.php(208): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#12 /srv/mediawiki/w/includes/api/ApiStashEdit.php(151): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#13 /srv/mediawiki/w/includes/api/ApiMain.php(1579): ApiStashEdit->execute()
#14 /srv/mediawiki/w/includes/api/ApiMain.php(535): ApiMain->executeAction()
#15 /srv/mediawiki/w/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#16 /srv/mediawiki/w/api.php(94): ApiMain->execute()
#17 {main}

[09-Nov-2018 00:17:51 UTC] PHP Warning:  array_map(): Argument #2 should be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

2018-11-09 00:17:51 /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: implode(): Argument must be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): implode(NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(382): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(177): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1428): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(446): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/page/WikiPage.php(2129): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/api/ApiStashEdit.php(208): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#12 /srv/mediawiki/w/includes/api/ApiStashEdit.php(151): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#13 /srv/mediawiki/w/includes/api/ApiMain.php(1579): ApiStashEdit->execute()
#14 /srv/mediawiki/w/includes/api/ApiMain.php(535): ApiMain->executeAction()
#15 /srv/mediawiki/w/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#16 /srv/mediawiki/w/api.php(94): ApiMain->execute()
#17 {main}
[09-Nov-2018 00:17:51 UTC] PHP Warning:  implode(): Argument must be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

Change 482231 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Math@master] Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/482231

Change 483678 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Math@REL1_32] Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/483678

Change 489580 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/services/mathoid@master] Fix commandline interface

https://gerrit.wikimedia.org/r/489580

Change 489580 merged by jenkins-bot:
[mediawiki/services/mathoid@master] Fix commandline interface

https://gerrit.wikimedia.org/r/489580

The fix merged above is causing:

[13-Feb-2019 18:09:43 UTC] PHP Notice:  Undefined property: stdClass::$png in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
2019-02-13 18:09:43 test1 engineeringmathwiki: [332fffc2ceb682668a4599c5] /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Notice: Trying to get property 'data' of non-object
#0 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#2 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(371): MathMathMLCli::batchEvaluate(array)
#3 /srv/mediawiki/w/includes/Hooks.php(174): MathHooks::onParserAfterTidy(Parser, string)
#4 /srv/mediawiki/w/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1477): Hooks::run(string, array)
#6 /srv/mediawiki/w/includes/parser/Parser.php(479): Parser->internalParseHalfParsed(string, boolean, boolean)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(341): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(517): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(239): AbstractContent->getParserOutput(Title, NULL, ParserOptions, boolean)
#10 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(211): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#11 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(175): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#12 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(128): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#13 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#14 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(175): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#15 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1265): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#16 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1235): MediaWiki\Storage\DerivedPageDataUpdater->getCanonicalParserOutput()
#17 /srv/mediawiki/w/includes/page/WikiPage.php(1994): MediaWiki\Storage\DerivedPageDataUpdater->getPreparedEdit()
#18 /srv/mediawiki/w/includes/api/ApiStashEdit.php(203): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#19 /srv/mediawiki/w/includes/api/ApiStashEdit.php(146): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#20 /srv/mediawiki/w/includes/api/ApiMain.php(1570): ApiStashEdit->execute()
#21 /srv/mediawiki/w/includes/api/ApiMain.php(531): ApiMain->executeAction()
#22 /srv/mediawiki/w/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#23 /srv/mediawiki/w/api.php(87): ApiMain->execute()
#24 {main}
[13-Feb-2019 18:09:43 UTC] PHP Notice:  Trying to get property 'data' of non-object in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
2019-02-13 18:09:43 test1 engineeringmathwiki: [332fffc2ceb682668a4599c5] /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: array_map(): Expected parameter 2 to be an array, null given
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): array_map(string, NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(371): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(174): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1477): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(479): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(341): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(517): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(239): AbstractContent->getParserOutput(Title, NULL, ParserOptions, boolean)
#11 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(211): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#12 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(175): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#13 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(128): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#14 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#15 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(175): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#16 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1265): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#17 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1235): MediaWiki\Storage\DerivedPageDataUpdater->getCanonicalParserOutput()
#18 /srv/mediawiki/w/includes/page/WikiPage.php(1994): MediaWiki\Storage\DerivedPageDataUpdater->getPreparedEdit()
#19 /srv/mediawiki/w/includes/api/ApiStashEdit.php(203): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#20 /srv/mediawiki/w/includes/api/ApiStashEdit.php(146): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#21 /srv/mediawiki/w/includes/api/ApiMain.php(1570): ApiStashEdit->execute()
#22 /srv/mediawiki/w/includes/api/ApiMain.php(531): ApiMain->executeAction()
#23 /srv/mediawiki/w/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#24 /srv/mediawiki/w/api.php(87): ApiMain->execute()
#25 {main}
[13-Feb-2019 18:09:43 UTC] PHP Warning:  array_map(): Expected parameter 2 to be an array, null given in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
2019-02-13 18:09:43 test1 engineeringmathwiki: [332fffc2ceb682668a4599c5] /w/api.php   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: implode(): Argument must be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): implode(NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(371): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(174): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1477): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(479): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(341): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(517): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(239): AbstractContent->getParserOutput(Title, NULL, ParserOptions, boolean)
#11 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(211): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#12 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(175): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#13 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(128): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#14 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#15 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(175): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#16 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1265): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#17 /srv/mediawiki/w/includes/Storage/DerivedPageDataUpdater.php(1235): MediaWiki\Storage\DerivedPageDataUpdater->getCanonicalParserOutput()
#18 /srv/mediawiki/w/includes/page/WikiPage.php(1994): MediaWiki\Storage\DerivedPageDataUpdater->getPreparedEdit()
#19 /srv/mediawiki/w/includes/api/ApiStashEdit.php(203): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#20 /srv/mediawiki/w/includes/api/ApiStashEdit.php(146): ApiStashEdit::parseAndStash(WikiPage, WikitextContent, User, string)
#21 /srv/mediawiki/w/includes/api/ApiMain.php(1570): ApiStashEdit->execute()
#22 /srv/mediawiki/w/includes/api/ApiMain.php(531): ApiMain->executeAction()
#23 /srv/mediawiki/w/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#24 /srv/mediawiki/w/api.php(87): ApiMain->execute()
#25 {main}
[13-Feb-2019 18:09:43 UTC] PHP Warning:  implode(): Argument must be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
[13-Feb-2019 18:09:43 UTC] PHP Notice:  Trying to get property 'data' of non-object in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
2019-02-13 18:09:43 test1 engineeringmathwiki: [cababc94e57d6f2a6835001f] /w/index.php?title=Matrix_exponential&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: array_map(): Expected parameter 2 to be an array, null given
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): array_map(string, NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(371): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(174): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1477): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(479): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(341): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(517): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/EditPage.php(4048): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/EditPage.php(3962): EditPage->doPreviewParse(WikitextContent)
#12 /srv/mediawiki/w/includes/EditPage.php(2749): EditPage->getPreviewText()
#13 /srv/mediawiki/w/includes/EditPage.php(702): EditPage->showEditForm()
#14 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#15 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(501): SubmitAction->show()
#17 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#18 /srv/mediawiki/w/includes/MediaWiki.php(860): MediaWiki->performRequest()
#19 /srv/mediawiki/w/includes/MediaWiki.php(517): MediaWiki->main()
#20 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#21 {main}
[13-Feb-2019 18:09:43 UTC] PHP Warning:  array_map(): Expected parameter 2 to be an array, null given in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72
2019-02-13 18:09:43 test1 engineeringmathwiki: [cababc94e57d6f2a6835001f] /w/index.php?title=Matrix_exponential&action=submit   ErrorException from line 72 of /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php: PHP Warning: implode(): Argument must be an array
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(72): implode(NULL)
#2 /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php(39): MathMathMLCli->initializeFromCliResponse(stdClass)
#3 /srv/mediawiki/w/extensions/Math/src/MathHooks.php(371): MathMathMLCli::batchEvaluate(array)
#4 /srv/mediawiki/w/includes/Hooks.php(174): MathHooks::onParserAfterTidy(Parser, string)
#5 /srv/mediawiki/w/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/w/includes/parser/Parser.php(1477): Hooks::run(string, array)
#7 /srv/mediawiki/w/includes/parser/Parser.php(479): Parser->internalParseHalfParsed(string, boolean, boolean)
#8 /srv/mediawiki/w/includes/content/WikitextContent.php(341): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#9 /srv/mediawiki/w/includes/content/AbstractContent.php(517): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#10 /srv/mediawiki/w/includes/EditPage.php(4048): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#11 /srv/mediawiki/w/includes/EditPage.php(3962): EditPage->doPreviewParse(WikitextContent)
#12 /srv/mediawiki/w/includes/EditPage.php(2749): EditPage->getPreviewText()
#13 /srv/mediawiki/w/includes/EditPage.php(702): EditPage->showEditForm()
#14 /srv/mediawiki/w/includes/actions/EditAction.php(60): EditPage->edit()
#15 /srv/mediawiki/w/includes/actions/SubmitAction.php(38): EditAction->show()
#16 /srv/mediawiki/w/includes/MediaWiki.php(501): SubmitAction->show()
#17 /srv/mediawiki/w/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#18 /srv/mediawiki/w/includes/MediaWiki.php(860): MediaWiki->performRequest()
#19 /srv/mediawiki/w/includes/MediaWiki.php(517): MediaWiki->main()
#20 /srv/mediawiki/w/index.php(42): MediaWiki->run()
#21 {main}
[13-Feb-2019 18:09:43 UTC] PHP Warning:  implode(): Argument must be an array in /srv/mediawiki/w/extensions/Math/src/MathMathMLCli.php on line 72

Oh no. I have a few questions to better understand the problem:

  1. How did you do the update? Did you follow the install instructions on https://www.npmjs.com/package/mathoid ? Have you installed librsvg?
  2. Can you run the cli.js from the command line?
  3. Is there an updated link for https://github.com/miraheze/puppet/blob/master/modules/mathoid/files/config.yaml

Sorry for the inconvenience.

Physikerwelt changed the task status from Open to Stalled.Mar 3 2019, 5:58 PM

Change 482231 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Math@master] Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/482231

Change 515304 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Math@REL1_33] Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/515304

Change 515304 abandoned by Krinkle:
Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/515304

Change 483678 abandoned by Krinkle:
Fix MathMathMLCli returning undefined properties

Reason:
Close preliminary backport for unmerged patch

https://gerrit.wikimedia.org/r/483678

Change 544426 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Math@REL1_34] Fix MathMathMLCli returning undefined properties

https://gerrit.wikimedia.org/r/544426

Change 544426 abandoned by Reedy:
Fix MathMathMLCli returning undefined properties

Reason:
Abandoning for now to clear the REL1_34 branch tasks. Feel free to reopen/re-cherry-pick from master when that patch is sorted

https://gerrit.wikimedia.org/r/544426

Change 586078 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/extensions/Math@master] Suppress warning if mathoid-cli does not return PNG image

https://gerrit.wikimedia.org/r/586078

Change 586078 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Suppress warning if mathoid-cli does not return PNG image

https://gerrit.wikimedia.org/r/586078

Change 482231 abandoned by Physikerwelt:

[mediawiki/extensions/Math@master] Fix MathMathMLCli returning undefined properties

Reason:

No activity for years.

https://gerrit.wikimedia.org/r/482231